Skip to main content
POST
Change agent lifecycle (human session only)

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
agentId
string<uuid>
required

Body

application/json
action
enum<string>
required
Available options:
enable,
disable,
revoke
expected_version
integer
required
Required range: x >= 1
idempotency_key
string
required
Required string length: 1 - 200

Response

Lifecycle result, including state/version and replayed flag

The response is of type object.